Skip to main content

Change Logs

2026-10-17​

Market Data API Option historical bars endpoint added start_time and end_time parameters.

Changed​

CategoryAPIChangeLink
APIMarket Data APIOption historical bars endpoint added start_time and end_time query parameters, allowing historical bars to be fetched by time range.List Option Historical Bars

2026-09-20​

Interface version header x-version updated from v2 to v3 across the Authentication documents.

Changed​

CategoryAPIChangeLink
Docs—x-version request header updated from v2 to v3 in the required headers table.Authentication Overview
Docs—x-version request header updated from v2 to v3 in the required headers table and in the Python/Java signature examples; the example endpoint used throughout was updated from GET /openapi/account/list to GET /trading/accounts/list.Signature
Docs—x-version updated from v2 to v3 in the request header example.Token

2026-09-12​

Market Data API: Expanded the Screeners and Fundamentals modules with additional endpoints.

New​

CategoryAPIChangeLink
APIMarket Data APIAdded 4 Screeners endpoints: Market Sectors, Market Sectors Detail, High Dividend Rank, and 52 Week High/Low.Market Sectors
Market Sectors Detail
High Dividend Rank
52 Week High/Low
APIMarket Data APIAdded 20 Fundamentals endpoints: Forecast EPS, Filings, Earnings Calendar, Dividend Calendar, Capital Flow, Industry Comparison, Indicators, Income, Cashflow, Balancesheet, Alert, Fund Brief, Fund Performance, Fund NetValue, Fund Holdings, Fund Dividends, Fund Rating, Fund Splits, Fund Files, and Fund Allocation.Forecast EPS
Filings
Earnings Calendar
Dividend Calendar
Capital Flow
Industry Comparison
Indicators
Income
Cashflow
Balancesheet
Alert
Fund Brief
Fund Performance
Fund NetValue
Fund Holdings
Fund Dividends
Fund Rating
Fund Splits
Fund Files
Fund Allocation

2026-08-29​

Trading API: Added single-leg option order support for US Market.

New​

CategoryAPIChangeLink
APITrading APIAdded single-leg option order capability to the Place Order endpoint. Users can now submit single-leg option orders (Buy/Sell) through the existing order placement interface.Order Place

2026-08-22​

Optimized API endpoint descriptions and paths.

Changed​

CategoryAPIChange
APITrading APIOptimized API endpoint descriptions and paths for clarity and consistency.

2026-08-14​

Subscribe Trade Events documentation update.

Changed​

CategoryAPIChangeLink
APITrading APISubscribe Trade Events: MODIFY_SUCCESS example order_status value changed from WORKING to SUBMITTED.Subscribe Trade Events

2026-06-27​

Market Data API: Added Screener, Watchlist, and Fundamentals modules.

New​

CategoryAPIChangeLink
APIMarket Data APIAdded Screener category with 2 endpoints: Stock Top Gainers/Losers Rank, Top ActiveScreener
APIMarket Data APIAdded Watchlist category with 8 endpoints: Get Watchlist, Create Watchlist, Update Watchlist, Delete Watchlist, Get Watchlist Instruments, Add Instruments to Watchlist, Remove Instruments from Watchlist, Update Instruments Sort OrderWatchlist
APIMarket Data APIAdded Fundamentals category with 3 endpoints: Company Profile, Analyst Target Price, Analyst RatingFundamentals

2026-06-20​

Add new document In the AI Friendly Resources.

Add​

CategoryAPIChangeLink
Docs—Add the documents "Webull MCP Server" in the "AI Friendly Resources" module.Webull MCP Server
Docs—Add the documents "Webull Agent Skills" in the "AI Friendly Resources" module.Webull Agent Skills

2026-06-13​

Signature document update.

Historical Bars API now supports additional bar intervals, including intraday, daily, weekly, monthly, and yearly timeframes.

Changed​

CategoryAPIChangeLink
Docs—Signature document content updated by part format.Signature
APIMarket Data APIHistorical Bars endpoint updated timespan.schema.enum to support additional values: M15, M30, M60, M120, M240, D, W, M, Y.Historical Bars